# List transactions for all card accounts.

This endpoint lists all settled transactions for all card accounts.
Regular users may only fetch their own "PURCHASE","REFUND" and "CHARGEBACK" settled transactions.

Endpoint: GET /v2/transactions/card/primary
Version: 1.0
Security: OAuth2

## Query parameters:

  - `cursor` (string,null)

  - `limit` (integer,null)

  - `user_ids` (array,null)

  - `posted_at_start` (string,null)
    Shows only transactions with a posted_at_date on or after this date-time. This parameter is the date-time notation as defined by RFC 3339, section 5.6

When polling for new transactions, we recommend using a lookback window that overlaps with your previous request rather than advancing posted_at_start to the exact time of your last poll. Set posted_at_start earlier than the end of your previous query window (for example, overlapping by a few days) so that transactions are not missed if a prior request or response failed, or if a transaction was posted with a slight delay. De-duplicate the overlapping results by transaction id.
    Example: "\n2022-12-12T23:59:59.999\n"

  - `expand[]` (array,null)
    expense_id can be passed to expand[] query parameter to get expanded, e.g., ?expand[]=expense_id.

## Response 200 fields (application/json):

  - `next_cursor` (string,null)

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.card_id` (string,null)
    ID of the card used for the transaction. Null when type is REWARDS_CREDIT or COLLECTION.

  - `items.description` (string, required)
    Description of the transaction

  - `items.amount` (object, required)
    Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination
of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700.

  - `items.amount.amount` (integer, required)
    The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents.
    Example: 700

  - `items.amount.currency` (string,null)
    The type of currency, in ISO 4217 format.
    Example: "USD"

  - `items.initiated_at_date` (string, required)
    ISO 8601 date string

  - `items.posted_at_date` (string, required)
    ISO 8601 date string

  - `items.type` (string,null)
    Enum: "PURCHASE", "REFUND", "CHARGEBACK", "REWARDS_CREDIT", "COLLECTION", "BNPL_FEE"

  - `items.merchant` (object,null)

  - `items.merchant.raw_descriptor` (string, required)
    Merchant descriptor, it can be the merchant name.

  - `items.merchant.mcc` (string, required)
    A four-digit number listed in ISO 18245 for retail financial services, e.g. 4121 for Taxicabs and Rideshares. Please refer to https://en.wikipedia.org/wiki/Merchant_category_code for more details.

  - `items.merchant.country` (string, required)
    Merchant's country, in ISO 3166-1 alpha-3 format.

  - `items.card_metadata` (object,null)
    Set of key value pairs associated with this object. Please do not store any personally identifiable or sensitive information here.
Limitations: maximum of 50 keys, keys cannot exceed 40 characters, values cannot exceed 500 characters.

  - `items.expense_id` (string,null)
    The expense ID related to the card transaction.

  - `items.card_transaction_operation_reference_id` (string,null)
    The card transaction operation reference ID. Null when type is REWARDS_CREDIT, COLLECTION, or BNPL_FEE.


## Response 400 fields

## Response 401 fields

## Response 403 fields
